Skip to main content
POST
/
ims
/
work-orders
/
tasks
/
complete
curl --request POST \
  --url https://api-lg.arms.cedarai.com/ims/work-orders/tasks/complete \
  --header 'Content-Type: application/json' \
  --header 'x-arms-api-key: <api-key>' \
  --header 'x-arms-assume-user: <api-key>' \
  --data '
{
  "carrierId": 1234,
  "items": [
    {
      "taskId": 5678,
      "finalTrackId": 42
    }
  ]
}
'
{
  "tasks": [
    {
      "resourceId": 123,
      "uuid": "<string>",
      "carrier": {
        "resourceType": "Carrier",
        "resourceId": 123,
        "uuid": "<string>",
        "carrierCode": "<string>",
        "name": "<string>"
      },
      "equipment": {
        "resourceType": "Equipment",
        "resourceId": 123,
        "uuid": "<string>",
        "equipmentInitial": "<string>",
        "equipmentNumber": 123
      },
      "equipmentId": 123,
      "taskType": "SWITCH",
      "status": "NOT_STARTED",
      "currentTrack": {
        "resourceType": "Grouping",
        "resourceId": 123,
        "uuid": "<string>",
        "name": "<string>",
        "groupingType": "<string>",
        "sortOrder": 123,
        "colorToken": "<string>"
      },
      "assignedTrack": {
        "resourceType": "Grouping",
        "resourceId": 123,
        "uuid": "<string>",
        "name": "<string>",
        "groupingType": "<string>",
        "sortOrder": 123,
        "colorToken": "<string>"
      },
      "assignedSpot": {
        "resourceType": "Spot",
        "resourceId": 123,
        "uuid": "<string>",
        "name": "<string>"
      },
      "finalTrack": {
        "resourceType": "Grouping",
        "resourceId": 123,
        "uuid": "<string>",
        "name": "<string>",
        "groupingType": "<string>",
        "sortOrder": 123,
        "colorToken": "<string>"
      },
      "finalSpot": {
        "resourceType": "Spot",
        "resourceId": 123,
        "uuid": "<string>",
        "name": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "customer": {
        "resourceType": "Customer",
        "resourceId": 123,
        "uuid": "<string>",
        "name": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-arms-api-key
string
header
required

Your ARMS API key

x-arms-assume-user
string
header
required

Email of a user assigned to the appropriate user group

Query Parameters

carrierId
integer
required

Carrier identifier; required for all endpoints

viewAsUserGroup
string

Optional user group context

Body

application/json

Request body for completing class list tasks.

carrierId
integer
required

Carrier identifier.

items
object[]
required

List of tasks to complete.

completedAt
string<date-time>

Override completion timestamp. Defaults to current time if omitted.

noReturn
boolean
default:false

If true, do not return the updated tasks in the response.

Response

OK

Response after completing class list tasks.

tasks
object[]

Updated tasks after completion.